import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { TabsPage } from './tabs.page';
import {EnvHomePage} from '../env-home/env-home.page';
import {EnvAnalPage} from '../env-anal/env-anal.page';
import {EnvDetailPage} from '../env-detail/env-detail.page';
import {EnvAlarmPage} from '../env-alarm/env-alarm.page';
import {EnvCfgPage} from '../env-cfg/env-cfg.page';
import {KanbanComponent} from '../../components/kanban/kanban.component';
import {AppModule} from '../../app.module';
import {WtModule} from '../../components/wt/wt.module';

const routes: Routes = [
  {
    path: '',
    component: TabsPage,
      children: [
          {
              path: 'tab-home',
              component: EnvHomePage
          },
          {
              path: 'tab-detail',
              component: EnvDetailPage
          },
          {
              path: 'tab-anal',
              component: EnvAnalPage
          },
          {
              path: 'tab-alarm',
              component: EnvAlarmPage
          },
          {
              path: 'tab-cfg',
              component: EnvCfgPage
          },
          {
              path: '',
              redirectTo: '/tabs/tab-home',
              pathMatch: 'full'
          }
      ]
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    WtModule,
    RouterModule.forChild(routes),
  ],
  declarations: [TabsPage,
      EnvHomePage,
      EnvAnalPage,
      EnvDetailPage,
      EnvAlarmPage,
      EnvCfgPage,
      ]
})
export class TabsPageModule {}
